VERSION 5.00
Begin VB.Form frmWatch 
   Caption         =   "LogWatcher"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   BeginProperty Font 
      Name            =   "Arial"
      Size            =   9
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "frmWatch.frx":0000
   LinkTopic       =   "Form1"
   MDIChild        =   -1  'True
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   Begin VB.ListBox lstLog 
      Height          =   285
      Left            =   15
      MultiSelect     =   2  'Extended
      TabIndex        =   0
      Top             =   45
      Width           =   1215
   End
   Begin VB.Timer t 
      Interval        =   50
      Left            =   4215
      Top             =   30
   End
End
Attribute VB_Name = "frmWatch"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private lngLineBookMark As Long
Private intFileNumber As Integer
Private strLine As String
Private strLogFile As String
Private Declare Function FlashWindow Lib "user32" (ByVal hwnd As Long, ByVal bInvert As Long) As Long



Private Sub FlashMe()
Call FlashWindow(Me.hwnd, True)
End Sub

Public Function Init(strFileName As String) As Boolean
On Error GoTo ErrHandler

Dim lngLines As Long

intFileNumber = FreeFile
Me.Caption = strFileName
strLogFile = strFileName

Open strLogFile For Input As intFileNumber

lngLines = 0
Do While Not EOF(intFileNumber)
    Line Input #intFileNumber, strLine
    lstLog.AddItem strLine
    lngLines = lngLines + 1
    DoEvents
Loop

Close intFileNumber
lngLineBookMark = lngLines

t.Enabled = True
Init = True
Exit Function
ErrHandler:
    Init = False
    MsgBox "frmWatch: Error in Init (" & Err.Number & ") " & Err.Description
End Function




Private Function WatchFiles() As Boolean
On Error GoTo ErrHandler

'disable the timer, first so that we first this watch first
t.Enabled = False
Dim lngLines As Long

'get a free line number
intFileNumber = FreeFile

'open the logfile
Open strLogFile For Input As intFileNumber

While Not EOF(intFileNumber)
    Line Input #intFileNumber, strLine
    
    If lngLines >= lngLineBookMark Then
        lstLog.AddItem strLine
        FlashMe
    End If
    
    lngLines = lngLines + 1
    DoEvents
Wend

'close the file for next use
Close intFileNumber

'remember the last read line
lngLineBookMark = lngLines
lstLog.ListIndex = lstLog.ListCount - 1

'enable the timer now
t.Enabled = True
Exit Function
ErrHandler:
    MsgBox "frmWatch: Error in WatchFiles (" & Err.Number & ") " & Err.Description
End Function

Private Sub Form_Resize()
On Error GoTo ErrHandler
  If Me.WindowState <> vbMinimized Then
  If Me.Width > 1000 Then
            lstLog.Width = Me.Width - 500
    Else
            lstLog.Width = Me.Width
    End If
    
    If Me.Height > 1000 Then
        lstLog.Height = Me.Height - 500
    Else
        lstLog.Height = Me.Height - 100
    End If
  End If

Exit Sub
ErrHandler:
    MsgBox "frmWatch: Error in Form_Resize (" & Err.Number & ") " & Err.Description
End Sub


Private Sub t_Timer()
WatchFiles
End Sub

